Summary: Plugin metadata for op5 Monitor webconfig
Name: plugins-metadata
Version: %{op5version}
Release: %{op5release}%{?dist}
License: op5 Software License
Group: op5/monitor
URL: https://www.itrsgroup.com
Source: %name-%version.tar.gz
Prefix: /opt/plugins/metadata
BuildRoot: %{_tmppath}/%{name}-%{version}

%package test
Summary: Test package for plugins-metadata
Group: op5/monitor
Requires: make
Requires: plugins-metadata = %version
Requires: op5-phpunit
Requires: monitor-nacoma

%description
plugins-metadata provide checkcommands and basic information regaring
op5 plugins. The monitor-webconfig package uses this information to 
provide usage instructions and checkcommand import functionallity.

%description test
Test package for plugins-metadata.

%prep
%setup -q

%install
rm -rf %buildroot
mkdir -p %buildroot%prefix/
install -m 664 *.metadata %buildroot%prefix/
cp -r test %buildroot%prefix
cp Makefile %buildroot%prefix


%clean
rm -rf %buildroot


%files
%defattr(644,root,root,755)
%prefix
%exclude %prefix/test
%exclude %prefix/Makefile

%files test
%defattr(644,root,root,755)
%prefix/test
%prefix/Makefile


%changelog
* Wed Dec 11 2013 Carl Helmertz <chelmertz@op5.com>
- Test package.
* Fri Dec 07 2007 Peter Ostlin <peter.ostlin@op5.com>
- Initial package creation.
